// export function getUserCode(backUrl: string) {
//   //此处的ID是在文档的开发-基本配置里面
//   const appid = 'wx3255043d1b21a4f7'
//   window.location.href =
//     'https://open.weixin.qq.com/connect/oauth2/authorize?appid=' +
//     appid +
//     '&redirect_uri=' +
//     encodeURIComponent(backUrl) +
//     '&response_type=code&scope=snsapi_userinfo&state=bc17befd6d5060f16de95e38f6eaf69c&connect_redirect=1#wechat_redirect'
// }

export function checkLoginStatus() {
  const userInfo = localStorage.getItem('userInfo')
  if (userInfo) {
    const nowTime = Date.now()
    const data = JSON.parse(userInfo)
    // 超过了santia
    if (nowTime - data.time >= 1000 * 60 * 60 * 72) {
      return false
    } else {
      return true
    }
  } else {
    return false
  }
}

export function getQueryCode(name: string) {
  // 未传参，返回空
  if (!name) return null
  // 查询参数：先通过search取值，如果取不到就通过hash来取
  let after = window.location.search
  after = after.substr(1) || window.location.hash.split('?')[1]
  // 地址栏URL没有查询参数，返回空
  if (!after) return null
  // 如果查询参数中没有"name"，返回空
  if (after.indexOf(name) === -1) return null

  const reg = new RegExp('(^|&)' + name + '=([^&]*)(&|$)')
  // 当地址栏参数存在中文时，需要解码，不然会乱码
  const r = decodeURI(after).match(reg)
  // 如果url中"name"没有值，返回空
  if (!r) return null
}
